﻿/* Move down content because we have a fixed navbar that is 50px tall */
body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

a:link {
    color: #0000EE;
} /* needed becuase Angular changes */
     
.vc-textarea {
    width: 800px;
    max-width: 800px;
    background-color: #e9e9e9 !important;
   
}

.vc-valigntext {
            margin-top:40px !important;  /* use this to align the material based validated text boxs with dropdowns on the same row inside "layout-gt-lg-row" */
}

.center {
    display: flex;
    justify-content: center;
}

select {
    max-width: 280px;
}

.wide-select {
    max-width: 360px !important;
}

.widest-select {
    max-width: 520px !important;
}
/* Below used for VC checkbox list formatting*/
.checked-listbox {
       display: block;
       height: 18px;
       color: black;
}
.checked-listbox input[type="checkbox"] {
    width: 25px;
}

.checked-listbox label {
        height: 18px;
}
.checked-listbox td {
       padding: 4px  0px 0px 0px !important;
}

.regular-checkbox .regular-checkbox-inline {
    padding-left: 0px;
}

.regular-checkbox label, .regular-checkbox-inline label {
    text-align: left;
    
    font-style: normal;
    font-weight: 100;
    padding-left: 0px;
}

.regular-checkbox input[type="checkbox"] {
    /* float:right;*/
    width: 25px;
}

.regular-radiobutton {
    padding-left: 0px;
}

    .regular-radiobutton input[type="radio"] {
        /* float:right;*/
        width: 50px;
    }

/* Repeater and Grid lists */
.gridlist {
    width: 95%;
    border: solid 1px #000;
    /*line-height:10pt;*/
    border-collapse: collapse;
    font-family: Arial;
    color: #020c6f;
    overflow-x: auto;
}

.gridheader, .gridheader th, .gridheader td {
    background: url("../private/Images/bg_gradient.jpg") repeat-x left top;
    text-align: center;
    font-style: normal;
    font-weight: bold;
    color: #000;
    border: none;
    line-height: 14pt;
}

/*.gridheader {
    background-color: white; 
    position:relative; 
    top:expression(this.offsetParent.scrollTop);
    text-align: left;
	font-style: normal;
	font-weight: bold;
	color: #000;
	border: none;
	line-height:14pt;
}*/

.gridfootertitle {
    width: 200px;
    text-align: left;
    font-style: normal;
    font-weight: bold;
    color: #000;
}

.gridfooter, .gridfooter th, .gridfooter td {
    background: url("../private/Images/bg_gradient.jpg") repeat-x left top;
    /*background: #ccc;*/
    text-align: center;
    font-style: normal;
    font-weight: bold;
    color: #000;
    border-top-style: solid;
    border-top-color: lightgray;
    vertical-align: bottom;
    line-height: 14pt;
}

.griditem, .griditem td, .griditem tr, .griditem td a {
    background-color: #ffffff;
    text-align: left;
    border: none;
    border-collapse: separate;
}

.gridalt, .gridalt td {
    background: #f2f2f2;
    text-align: left;
    border: none;
    border-collapse: separate;
}

.gridpager, .gridpager table, .gridpager table tr, .gridpager table td, .gridpager tr, .gridpager td, .gridpager td table tr td span, .gridpager td table tr td, .gridpager td span {
    background: #fff;
    padding-right: 5px;
    padding-left: 5px;
    margin-right: 10px;
    text-align: right;
    border: none;
}

/* End Grid */


/* Checkbox list*/
.checkBoxList {
    width: 300px;
    max-height: 380px;
    height: auto !important;
    height: 230px;
    background-color: #ffffff;
    overflow: auto;
    border: 1px solid gray;
    text-align: left;
    font-style: normal;
    font-weight: 100;
    padding-left: 0px;
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }

    .body-content {
        padding: 0;
    }
}


/* arrows */

select {
    /*-webkit-appearance: none;*/
    height: 30px;
    /*width: auto;*/
}

.ErrMsg {
    color: red;
}

.tb9r {
    color: red;
    font-weight: bold;
}